#***********************************************************************
# E.S.O. - VLT project/ESO Archive
#
# "@(#) $Id: catdefaults.tcl,v 1.25.1.6 2005/12/09 18:38:42 vltsccm Exp $"
#
# catdefaults.tcl - X defaults for itk catalog widgets
#
# who         when       what
# --------   ---------   ----------------------------------------------
# A.Brighton 20 May 96   created


proc cat::setXdefaults {} {
    global tcl_version

    set menuBg DeepSkyBlue3
    #set menuBg #009acf
    set menuFg White

#    option add *foreground Black 
#    option add *background Gray70
#    option add *DisabledForeground Gray90

    option add *Menu*background $menuBg
    option add *Menu*foreground $menuFg
    option add *Menubutton*background $menuBg
    option add *menubar*background $menuBg
    option add *Menubutton*foreground $menuFg

#    option add *Button*foreground NavyBlue
#    option add *Button*background Gray70

#    option add *Canvas*insertBackground white
#    option add *Text.foreground Black 
#    option add *Listbox.foreground Black 
#    option add *Entry.foreground Black 
#    option add *Scrollbar.foreground Gray70
#    option add *Scrollbar.Width 14 

#    option add *selectForeground Gray70
#    option add *selectBackground Black
    
#    option add *highlightThickness 0 
#    option add *Text.highlightThickness 2  
#    option add *Entry.highlightThickness 2 
#    option add *highlightBackground Gray70
#    option add *highlightColor Black 

#    option add *shelp*Background  FloralWhite
#    option add *plotBackground gray80

    set labelFont -Adobe-Helvetica-Bold-R-Normal--*-120-*-*-*-*-*-*

    option add *Listbox.font -*-courier-medium-r-*-*-*-140-*-*-*-*-iso8859-* 
    option add *Entry.font -*-courier-medium-r-*-*-*-140-*-*-*-*-iso8859-* 
    option add *titleFont -*-courier-Bold-r-*-*-*-140-*-*-*-*-iso8859-* 
    #option add *.helpFont -Adobe-helvetica-medium-r-normal--14*

    # these are Tk defaults, but HP overrides them if we don't do this
    option add *Button.Font $labelFont
    option add *Label.Font $labelFont
    option add *Menu.Font $labelFont
    option add *Menubutton.Font $labelFont
    option add *Message.Font $labelFont
    option add *Scale.Font $labelFont
    option add *Text.Font "-*-Courier-Medium-R-Normal--*-120-*-*-*-*-*-*"

    # make delete and backspace work like they should
    if {$tcl_version > 8.3} {
        bind Entry <Delete> {tk::EntryBackspace %W}
        bind Entry <BackSpace> {tk::EntryBackspace %W}
        bind Text <Delete> {tk::EntryBackspace %W}
        bind Text <BackSpace> {tk::EntryBackspace %W}
    } else {
        bind Entry <Delete> {tkEntryBackspace %W}
        bind Entry <BackSpace> {tkEntryBackspace %W}
        bind Text <Delete> {tkEntryBackspace %W}
        bind Text <BackSpace> {tkEntryBackspace %W}
    }

    # itk widget defaults (normally you'd put these in the itk sources, but
    # putting them here makes it easier to "pre-load" the classes for 
    # the single binary version...
 
#    option add *tcsRtdCtrl.canvasBackground black 
#    option add *tcsRtdCtrl.canvasBackground black 
#    option add *tcsRtdCtrl.canvasWidth 520 
#    option add *tcsRtdCtrl.canvasHeight 520
}
