#*************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: panGetCvNames.tcl,v 5.19 2003/02/14 14:23:45 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin    02/06/95  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

#------------------------------------------------------------------------------
# PROCEDURE : panGetCvNames - Set the canvas names according to the root
#------------------------------------------------------------------------------

proc panGetCvNames {root cv bcv  } {
   global par panDEBUG
   upvar $cv  cv1
   upvar $bcv bcv1

   if { [string index $root 0] != "." } { set root ".$root"}

   set cv1  "$root.top.wdg"
   set bcv1 "$root.bot.actBut"

   # Patch for backward compatibility
   if {[info exists par(EDIT_WHAT)] == 0 } { set par(EDIT_WHAT) ".pan" }
   
   if {![cequal $par(MYCLASS) ""] && [winfo exists  $cv1.$par(MYCLASS).cv]} {
      append cv1 ".$par(MYCLASS).cv"
   } else {
      append  cv1  ".can" ;       # Canvas for widgets
      append  bcv1 ".can" ;       # Canvas for act. buttons  
   }
}

# ___oOo___
