#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: guidecamCatGui.tcl,v 1.25.1.6 2005/12/09 18:38:47 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin  17/02/98  created
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#


proc tcacamAddTcsControl { w symbolFont } {
    global tcs par ckCmdReply panDEBUG

    set top [frame $w.top -bd 2 -relief raised] 
    pack $top -fill both -side top

    for {set i 1} { $i < 5 } { incr i } {
	set f${i} [frame $top.f${i}]
        pack [set f${i}] -side top -fill x
    }

    set tcs(starSelMode) 0

#    pack $f1 $f2 $f3 -side top -fill x

    label $f1.lblTcs -text "TCS Control Panel" -foreground blue -font "-Adobe-courier-medium-r-normal--14*"
    pack  $f1.lblTcs -expand yes -pady 15

    label $f2.lblMode -text "Select Star from "

    radiobutton $f2.catalog   -text Catalog     -variable tcs(starSelMode) -value 0
    radiobutton $f2.skyImage  -text "Sky Chart" -variable tcs(starSelMode) -value 1 
    radiobutton $f2.realImage -text "Image" -variable tcs(starSelMode) -value 2

    label $f3.lbl1 -text " to "
    label $f3.alpha -text "a:" -font $symbolFont
    label $f3.delta -text "d:" -font $symbolFont

    label $f3.alphaValue -textvariable tcs(ra) -width 14 -bd 2 -relief ridge -foreground blue -font "-Adobe-courier-medium-r-normal--18*"
    label $f3.deltaValue -textvariable tcs(dec) -width 14 -bd 2 -relief ridge -foreground blue -font "-Adobe-courier-medium-r-normal--18*"
       
    button $f3.preset  -text "Preset Telescope" -command guidecamPresetCmd

    pack $f2.lblMode $f2.catalog $f2.skyImage $f2.realImage -side left -padx 5
    pack $f3.preset -side left  -padx 5 -pady 10

    pack $f3.lbl1 $f3.alpha $f3.alphaValue $f3.delta $f3.deltaValue -side left -padx 2

    #####################################################################
    #                     Add command/reply widget
    #####################################################################

    # Set some variables and frames needed to use the same panel editor 
    # routines

    set par(sizeCmdReply) 3
    set ckCmdReply 1
    set panDEBUG ""

    # Add frame to simulate the same structure as in a normal 'panel'
    pack [frame $w.replyArea] -pady 5

    createCmdReply $w

}


#
# ___oOo___
