#**************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: panSetCwp.tcl,v 5.19 2003/02/14 14:23:51 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# mcomin    13/06/97  created
#           27/08/98  Add case for aliases.
#

#************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------
#

proc panDbSetCwp { cwp } {
   global panDEBUG

   if {[string first ":" $cwp] == -1 && [string first "<alias>" $cwp] == -1} {
      append cwp ":"    ;# Patch for LCC
   }

   if { [catch {seq_dbSetCwp $cwp } ret] } {
      set tmp     "Cannot Set CWP to \"$ret\""
      seq_logData $tmp ;  # Log Error
      puts        "$tmp\n"
      return      FAILURE
   }

   if {![cequal $panDEBUG dbgNONE]} { puts "USER DEBUG > Set CWP to \"$cwp\"" }
   return ""
}

#
# ___oOo___
